/* Copyright 2006 Jetro Lauha - http://iki.fi/jetro/
 *
 * $Id: main.h,v 1.3 2006-04-30 22:17:59 tonic Exp $
 * $Revision: 1.3 $
 */

#ifndef MAIN_H_INCL
#define MAIN_H_INCL


#define VERSION_STR "1.0.0"

#include <list>
#include <map>
#include "SDL.h"
#include "SDL_opengl.h"

#define WIDTH       800
#define HEIGHT      600

#include "types.h"
#include "errormsg.h"
#include "sound.h"
#include "App.h"
#include "UI.h"
#include "MersenneTwister.h"
#include "GameApp.h"
#include "State.h"
#include "GameState.h"
#include "TitleState.h"


#undef PI
#define PI 3.1415926535897932


#endif // !MAIN_H_INCL
