/* Turska UI library
 * Copyright 2003-2004 Jetro Lauha
 * All rights reserved.
 * Web: http://iki.fi/jetro/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of EITHER:
 *   (1) The GNU Lesser General Public License as published by the Free
 *       Software Foundation; either version 2.1 of the License, or (at
 *       your option) any later version. The text of the GNU Lesser
 *       General Public License is included with this library in the
 *       file LICENSE-LGPL.txt.
 *   (2) The BSD-style license that is included with this library in
 *       the file LICENSE-BSD.txt.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the files
 * LICENSE-LGPL.txt and LICENSE-BSD.txt for more details.
 *
 * $Id: UIEventListener.h,v 1.2 2006-04-30 14:06:38 tonic Exp $
 * $Revision: 1.2 $
 */

#ifndef UIEVENTLISTENER_H_INCLUDED
#define UIEVENTLISTENER_H_INCLUDED


class UIComponent;


class UIEventListener
{
public:

    virtual ~UIEventListener() {}

    virtual void onAction(UIComponent * /*component*/) {}
    virtual void onPointerDown(UIComponent * /*component*/, INT /*x*/, INT /*y*/) {}
    virtual void onPointerUp(UIComponent * /*component*/, INT /*x*/, INT /*y*/) {}
    virtual void onPointerMove(UIComponent * /*component*/, INT /*x*/, INT /*y*/) {}
};


#endif // !UIEVENTLISTENER_H_INCLUDED
