/* Copyright 2006 Jetro Lauha - http://iki.fi/jetro/
 *
 * $Id: types.h,v 1.1 2006-04-30 14:02:32 tonic Exp $
 * $Revision: 1.1 $
 */

#ifndef TYPES_H_INCLUDED
#define TYPES_H_INCLUDED

#undef FLOAT
#undef INT8
#undef UINT8
#undef INT16
#undef UINT16
#undef INT32
#undef UINT32
#undef BOOL
#undef TRUE
#undef FALSE
#define FLOAT float
#define INT8 signed char
#define UINT8 unsigned char
#define INT16 signed short
#define UINT16 unsigned short
#define INT32 int
#define UINT32 unsigned int
#define INT int
#define UINT unsigned int
#define BOOL bool
#define TRUE true
#define FALSE false

#undef NULL
// valid for C++
#define NULL 0


#endif // !TYPES_H_INCLUDED
